---
title: 'set:difference()'
slug: Web/EXSLT/set/difference
tags:
  - EXSLT
  - NeedsSpecTable
  - Reference
---
<p>{{XSLTRef}}{{QuickLinksWithSubpages("/en-US/docs/Web/EXSLT")}}</p>

<p><code>set:difference()</code> returns the difference between two node-sets. In other words, it returns a node-set whose nodes are in one node-set but not in the other.</p>

<p>The template version of <code>set:difference</code> applies templates to these nodes in <code>set:difference</code> mode, copying the nodes so that a result tree fragment consisting of the nodes is returned.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">set:difference(<var>nodeSet1</var>, <var>nodeSet2</var>)</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code>nodeSet1</code></dt>
 <dd>The node-set from which to subtract nodes.</dd>
 <dt><code>nodeSet2</code></dt>
 <dd>The set of nodes to subtract from <code>nodeSet1</code>.</dd>
</dl>

<h3 id="Returns">Returns</h3>

<p>A node-set containing the nodes that are in <code>nodeSet1</code> but not in <code>nodeSet2</code>.</p>

<h2 id="Specifications">Specifications</h2>

<p><a class="external" href="http://www.exslt.org/set/functions/difference/index.html">EXSLT - SET:DIFFERENCE</a></p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("xslt.exslt.set.difference")}}</p>
